Loading ...
Sorry, an error occurred while loading the content.

Re: [skylendar] Re: Unable to connect to database

Expand Messages
  • Ron Venema
    ... Thanks skylendar, I was looking for a QT3 package but it turned out to be a QT4 package.
    Message 1 of 5 , Aug 16 8:22 AM
    • 0 Attachment
      skylendar wrote:

      --- In skylendar@yahoogrou ps.com, "ronvenema" <ronvenema@. ..> wrote:
      >
      > Hi all, I was able to compile sk on PcLinuxos which is basically
      > Mandrivia and able to add the db to postgresql as I was able to
      > verify by using pgaccess. I also set a user root using skygrant but
      > when I try to start skylendar I am not able to connect to the db
      and
      > when I cancel I get the following errors:
      >
      > [root@localhost ~]# skylendar
      > QSqlDatabase: QPSQL7 driver not loaded
      > QSqlDatabase: available drivers: QMYSQL3
      > QSqlQuery::exec: database not open
      > QSqlRecord:: position: unable to find field CountryIdx
      > QSqlQuery::value: not positioned on a valid record
      > QSqlQuery::exec: database not open
      > QSqlRecord:: position: unable to find field TZFile
      > QSqlQuery::value: not positioned on a valid record
      > KCrash: Application 'skylendar' crashing...
      > Terminated
      >
      > TIA

      Again, read the requirements. The log clearly shows that you don't
      have the qt driver for postgresql, only the one for mysql. Install it
      and re-run sk.

      Thanks skylendar, I was looking for a QT3 package but it turned out to be a QT4 package.
    • Dusan Korac
      Hi, Ron, I installed pclos only because it is based on Mandriva and I was told that skylendar is made to work on mandriva. I couldn t make it work on any other
      Message 2 of 5 , Aug 20 4:56 AM
      • 0 Attachment
        Hi, Ron, I installed pclos only because it is based on Mandriva and I was told that skylendar is made to work on mandriva. I couldn't make it work on any other distro. So I need to ask you:
        1. Did you finally make it work when you replaced qt4 driver with qt3?
        2. How did you replace it, qt3 is not offered on the list of repositories which can be installed, did you download source and compile it?
        3. Which exact repositories did you have to download and install in order to  compile and install skylendar properly? I am still on dial-up connection, i dont want to install something i don't need.
        4. Any other important information considering installation of skylendar on pclinuxos, some problems you meet and solutions?

        Thank you!

        Ron Venema <ronvenema@...> wrote:
        skylendar wrote:
        --- In skylendar@yahoogrou ps.com, "ronvenema" <ronvenema@. ..> wrote:
        >
        > Hi all, I was able to compile sk on PcLinuxos which is basically
        > Mandrivia and able to add the db to postgresql as I was able to
        > verify by using pgaccess. I also set a user root using skygrant but
        > when I try to start skylendar I am not able to connect to the db
        and
        > when I cancel I get the following errors:
        >
        > [root@localhost ~]# skylendar
        > QSqlDatabase: QPSQL7 driver not loaded
        > QSqlDatabase: available drivers: QMYSQL3
        > QSqlQuery::exec: database not open
        > QSqlRecord:: position: unable to find field CountryIdx
        > QSqlQuery::value: not positioned on a valid record
        > QSqlQuery::exec: database not open
        > QSqlRecord:: position: unable to find field TZFile
        > QSqlQuery::value: not positioned on a valid record
        > KCrash: Application 'skylendar' crashing...
        > Terminated
        >
        > TIA

        Again, read the requirements. The log clearly shows that you don't
        have the qt driver for postgresql, only the one for mysql. Install it
        and re-run sk.

        Thanks skylendar, I was looking for a QT3 package but it turned out to be a QT4 package.


        Park yourself in front of a world of choices in alternative vehicles.
        Visit the Yahoo! Auto Green Center.

      • Ron Venema
        ... Hi Dusan, I am using PcLinux 2007 and yes I was able to get skylendar to compile and run. If you haven t compiled any kde applications before then you have
        Message 3 of 5 , Aug 20 7:23 PM
        • 0 Attachment
          Dusan Korac wrote:

          Hi, Ron, I installed pclos only because it is based on Mandriva and I was told that skylendar is made to work on mandriva. I couldn't make it work on any other distro. So I need to ask you:
          1. Did you finally make it work when you replaced qt4 driver with qt3?
          2. How did you replace it, qt3 is not offered on the list of repositories which can be installed, did you download source and compile it?
          3. Which exact repositories did you have to download and install in order to  compile and install skylendar properly? I am still on dial-up connection, i dont want to install something i don't need.
          4. Any other important information considering installation of skylendar on pclinuxos, some problems you meet and solutions?

          Thank you!

          Ron Venema <ronvenema@qwest. net> wrote:

          skylendar wrote:
          --- In skylendar@yahoogrou ps.com, "ronvenema" <ronvenema@. ..> wrote:
          >
          > Hi all, I was able to compile sk on PcLinuxos which is basically
          > Mandrivia and able to add the db to postgresql as I was able to
          > verify by using pgaccess. I also set a user root using skygrant but
          > when I try to start skylendar I am not able to connect to the db
          and
          > when I cancel I get the following errors:
          >
          > [root@localhost ~]# skylendar
          > QSqlDatabase: QPSQL7 driver not loaded
          > QSqlDatabase: available drivers: QMYSQL3
          > QSqlQuery::exec: database not open
          > QSqlRecord:: position: unable to find field CountryIdx
          > QSqlQuery::value: not positioned on a valid record
          > QSqlQuery::exec: database not open
          > QSqlRecord:: position: unable to find field TZFile
          > QSqlQuery::value: not positioned on a valid record
          > KCrash: Application 'skylendar' crashing...
          > Terminated
          >
          > TIA

          Again, read the requirements. The log clearly shows that you don't
          have the qt driver for postgresql, only the one for mysql. Install it
          and re-run sk.

          Thanks skylendar, I was looking for a QT3 package but it turned out to be a QT4 package.


          Park yourself in front of a world of choices in alternative vehicles.
          Visit the Yahoo! Auto Green Center.
          Hi Dusan, I am using PcLinux 2007 and yes I was able to get skylendar to compile and run. If you haven't compiled any kde applications before then you have to have the basic compiling tools gcc, gcc+, glib etc as well as the development libraries for qt and kde installed. All the required files are available via Synaptic repositories. The specific file that I hadn't installed was qt4-database-plugin-pgsql-lib which is the qt driver for the pgsql database and the reason that I was getting the errors that I noted. The other problem that I had was when I installed the glyph font file via the kde control center it put it in /usr/local/share/ fonts. I had to create a new directory /usr/share/fonts/skylendar and move the files there. I still am having a problem with the ephemeris not providing the correct information but am working on it. Let me know if you have any further problems and I'll try to help.
        Your message has been successfully submitted and would be delivered to recipients shortly.